import { AccountTierDto, AccountTierTrialDto, AccountTierTrialValidityDto, EpochMillis } from "@upload-io/upload-shared-iso-lite";
export interface AccountTierAndTrialsDto<TValidity = AccountTierTrialValidityDto> {
    base: undefined | AccountTierDto;
    trials: Array<AccountTierTrialDto<TValidity>>;
}
export declare namespace AccountTierAndTrialsDto {
    /**
     * By default, user has access to nothing. They're upgraded to the free trial once we receive the webhook from Paddle,
     * so we know users _have to_ provide a credit card before using our service.
     */
    const defaultTier: (_now: EpochMillis) => AccountTierAndTrialsDto;
}
